Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.util
Class RBridgeControl

    java.lang.Object
      kieker.tools.util.RBridgeControl

    public final class RBridgeControl

extends Object

Since:
  1.10
Author:
  Tillmann Carlos Bielefeld

Method Summary
`void` | `assign(String variable, double[] values)`
`void` | `assign(String variable, Double[] values)`
`void` | `assign(String variable, Long[] values)`
`double` | `eDbl(String input)`
`double[]` | `eDblArr(String input)`
`String` | `eString(String input)`
`Object` | `evalWithR(String input)` Wraps the execution of an arbitrary R expression.
`static RBridgeControl` | `getInstance()` Delivers the singleton instance of this class.
`void` | `toTS(String variable)`
`void` | `toTS(String variable, long frequency)`
`static String` | `uniqueVarname()` Returns a globally unique variable name, even during the access of multiple threads.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evalWithR

    public Object evalWithR(String input)

  Wraps the execution of an arbitrary R expression. Both errors and results are logged.

  Parameters:
    `input` - The R expression to evaluate.
  Returns:
    The result or the error of the evaluation of the given R expression. The method tries to convert it into a string, if possible.

### toTS

    public void toTS(String variable)

  Parameters:
    `variable` - variable to R

### toTS

    public void toTS(String variable,
                     long frequency)

  Parameters:
    `variable` - variable to R
    `frequency` - frequency to R

### eDbl

    public double eDbl(String input)

  Parameters:
    `input` - string
  Returns:
    -666.666 error, else dbvalue

### eString

    public String eString(String input)

  Parameters:
    `input` - inputstring
  Returns:
    Rdata

### eDblArr

    public double[] eDblArr(String input)

  Parameters:
    `input` - inputstring
  Returns:
    Rdata

### assign

    public void assign(String variable,
                       double[] values)

  Parameters:
    `variable` - string
    `values` - assign value

### assign

    public void assign(String variable,
                       Double[] values)

  Parameters:
    `variable` - string
    `values` - assign vaules

### assign

    public void assign(String variable,
                       Long[] values)

  Parameters:
    `variable` - string
    `values` - assign vaules

### uniqueVarname

    public static String uniqueVarname()

  Returns a globally unique variable name, even during the access of multiple threads.

  Returns:
    A unique variable name of the form `var_1, var_2, ...`.

### getInstance

    public static final RBridgeControl getInstance()

  Delivers the singleton instance of this class.

  Returns:
    The singleton instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net